Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3378 - Linking pThreads and STL libraries together.
Summary: Linking pThreads and STL libraries together.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-09 23:28 UTC by ajcurtis
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 18:44:35 UTC


Attachments (Terms of Use)

Description ajcurtis 1999-06-09 23:28:09 UTC
I have tried to get help from the news groups but was
unsuccessful. I just installed RedHat 6.0 and trying to
create a simple program that uses both the STL and pThreads
libraries and seem to be having problems with the link. I
can create programs that use either library but not both
together.

The compile line is:
$(CC) $(CFLAGS) -D_REENTRANT qtest.c -o qtest -lpthread

Could you give this a try and let me know.

thanks

Comment 1 Jeff Johnson 1999-06-10 17:08:59 UTC
Could you reply to this message with an attached qtest.c? Thanks ...

------- Email Received From  "Allen Curtis" <ajcurtis@pacbell.net> 06/10/99 16:08 -------

Comment 2 Jim Kingdon 1999-08-31 18:44:59 UTC
If I link using the enclosed makefile, I get errors (such as
"undefined reference to `cerr'").  However, if I either (a)
change the "cc" command to "c++" or (b) add "-lstdc++" to the
cc command (after "-lpthread"), it links fine.


Note You need to log in before you can comment on or make changes to this bug.